@use '@angular/material' as mat;
@use '@angular/material/theming';
@use '../palette';

// Here we globally style the content that is used anywhere as content of app-menu-label.
// Due to view encapsulation is not possible to do this in menu-label.component.scss or in
// the component that uses app-menu-label and defines the content.
app-menu-label {
  .mat-checkbox-disabled .mat-checkbox-label {
    color: inherit;
  }

  .mat-primary-bg {
    background-color: mat.get-color-from-palette(palette.$primary);
    color: mat.get-color-from-palette(palette.$primary, default-contrast);
  }

  .mat-button-bg {
    background-color: mat.get-color-from-palette(
      palette.$background,
      raised-button
    );
  }
}
